Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_StyleManager

Contained in: global
Derived from: none
Derived by: CL_StyleManager_Default
Group: GUI (Framework)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_StyleManager` | `(`CL_ResourceManager`* `resources`)`;
``virtual`` | `~CL_StyleManager` | `()`;

### Attributes:

``CL_ResourceManager`*` | `get_resources` | `()`;

### Overrideables:

``virtual` `CL_Component`*` | `create_component` | `(`const` `std::string`& `type`, `CL_Component`* `parent`)`;
``virtual` `void`` | `connect_styles` | `(`const` `std::string`& `type`, `CL_Component`* `owner`)`;

### private function member index:

### Implementation:

`` | `CL_StyleManager` | `(`const` `CL_StyleManager`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_StyleManager::CL_StyleManager - Construct a style manager using the specified resources.
`` `CL_StyleManager` `(`CL_ResourceManager`* `resources`)`;

CL_StyleManager::connect_styles - Connect component styles to component.
The 'type' parameter indicates what type the component is.
``virtual` `void`` `connect_styles` `(`const` `std::string`& `type`, `CL_Component`* `owner`)`;

CL_StyleManager::create_component - Create a component based on a type name.
``virtual` `CL_Component`*` `create_component` `(`const` `std::string`& `type`, `CL_Component`* `parent`)`;

CL_StyleManager::get_resources - Returns style manager's resources.
``CL_ResourceManager`*` `get_resources` `()`;

CL_StyleManager::~CL_StyleManager - Destructor.
``virtual`` `~CL_StyleManager` `()`;

## Variable Member Descriptions: